package com.liquidnet.client.admin.zhengzai.goblin.service;

import com.liquidnet.service.goblin.dto.GoblinSelfGoodsCategoryDto;
import com.liquidnet.service.goblin.entity.GoblinSelfGoodsCategory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 平台商品分类 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-27
 */
public interface IGoblinSelfGoodsCategoryService extends IService<GoblinSelfGoodsCategory> {

    int countForMatchName(String cateFid, String name);

    List<GoblinSelfGoodsCategoryDto> listForMultiGrade();

    boolean addSave(GoblinSelfGoodsCategory selfGoodsCategory);

    boolean remove(String[] cateIdArr);
}
